Name:           python-kmod
Summary:        Python module to work with kernel modules
Version:        0.9.2
Release:        %mkrel 2
License:        LGPLv2+
Group:          Development/Python
URL:            https://github.com/maurizio-lombardi/python-kmod/
Source0:        https://github.com/maurizio-lombardi/python-kmod/archive/refs/tags/v%{version}.tar.gz
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-cython
BuildRequires:  pkgconfig(libkmod)

%global __provides_exclude_from ^(%{python3_sitearch}.*\.so)$

%description
Python module to allow listing, loading, and unloading
Linux kernel modules, using libkmod.

%package -n python3-kmod
Summary:        Python 3 module to work with kernel modules
Group:          Development/Python
%{?python_provide:%python_provide python3-kmod}

Obsoletes:      python-kmod < 0.9-8
Provides:       python-kmod = %{version}-%{release}

%description -n python3-kmod
Python 3 module to allow listing, loading, and unloading
Linux kernel modules, using libkmod.

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files kmod

%files -n python3-kmod -f %{pyproject_files}
%doc COPYING.LESSER README


%changelog
* Fri Feb 23 2024 daviddavid <daviddavid> 0.9.2-2.mga10
+ Revision: 2043459
- rebuild for py3.12

* Mon Sep 11 2023 papoteur <papoteur> 0.9.2-1.mga10
+ Revision: 1986308
- new 0.9.2 from a fork
- change macro for filtering provides

* Sun Mar 27 2022 umeabot <umeabot> 0.9-12.mga9
+ Revision: 1829384
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 mrambo3501 <mrambo3501> 0.9-11.mga9
+ Revision: 1783891
- rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 0.9-10.mga9
+ Revision: 1717507
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.9-9.mga8
+ Revision: 1534320
- Mageia 8 Mass Rebuild

* Thu Oct 03 2019 daviddavid <daviddavid> 0.9-8.mga8
+ Revision: 1449031
- port to python3
- drop python2 support

* Sun Sep 23 2018 umeabot <umeabot> 0.9-7.mga7
+ Revision: 1300513
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 0.9-6.mga6
+ Revision: 935930
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9-5.mga5
+ Revision: 750240
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9-4.mga5
+ Revision: 728945
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9-3.mga5
+ Revision: 688114
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Thu Feb 13 2014 zezinho <zezinho> 0.9-1.mga5
+ Revision: 590146
- imported package python-kmod


* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Oct 22 2012 Andy Grover <agrover@redhat.com> - 0.9-1
- Update for new upstream release
- Add build dep on Cython

* Wed Aug 1 2012 Andy Grover <agrover@redhat.com> - 0.1-4
- Update for new upstream release location

* Fri May 4 2012 Andy Grover <agrover@redhat.com> - 0.1-3
- Update for new upstream release location

* Tue Apr 17 2012 Andy Grover <agrover@redhat.com> - 0.1-2
- Correct License field to LGPLv2+
- Remove explicit Requires for kmod-libs

* Thu Apr 12 2012 Andy Grover <agrover@redhat.com> - 0.1-1
- Initial packaging
